Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam
Class CommitException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--jain.protocol.ss7.SS7Exception
                        |
                        +--jain.protocol.ss7.oam.CommitException

public class CommitException
extends SS7Exception

This Exception is thrown by a JAIN OAM Managed MBean if the commit() command has been invoked and not all of the operations were successfully comitted.

Version:
  1.1
Author:
  Colm Hayden
See Also:
  Serialized Form

Constructor Summary
`CommitException()` Constructs a new `CommitException`.

Method Summary
`void` | `addEntry(int success, java.lang.String mBeanObjectName, java.lang.String operation)` Adds an entry to the log file of this CommitException.
`java.lang.String` | `getLog()` Returns a log of the operations.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CommitException

    public CommitException()

  Constructs a new `CommitException`.

Method Detail

### addEntry

    public void addEntry(int success,
                         java.lang.String mBeanObjectName,
                         java.lang.String operation)
                  throws java.lang.NullPointerException

  Adds an entry to the log file of this CommitException.
  Parameters:
    `success` - either :

    - SUCCESS - the operation successfully completed.
    - FAILED - the operation failed
    - UNKNOWN - could not determine whether the operation was successful of not
    `mBeanObjectName` - the ObjectName of the MBean.
    `operation` - the opertion that was to be committed.
  Throws:
    java.lang.NullPointerException - if any of the Objects supplied as parameters are null

### getLog

    public java.lang.String getLog()

  Returns a log of the operations.
  Returns:
    a log in the format:
    `1 : [MBeanObjectName] : [operationRequested] : [SUCCESS | FAILED | UNKNOWN] ;
    2 : [MBeanObjectName] : [operationRequested] : [SUCCESS | FAILED | UNKNOWN] ;
    ..... .... .... .... ....
    N : [MBeanObjectName] : [operationRequested] : [SUCCESS | FAILED | UNKNOWN] ;
    Eg.
    1 : com.aepona.jain.protocol.ss7.oam.mtp3:type=OBJECT_TYPE_ROUTE,id=23 : setDestinationPointCode : SUCCESS ;
    2 : com.aepona.jain.protocol.ss7.oam.mtp3:type=OBJECT_TYPE_ROUTE,id=24 : setPriority : FAILED ;
    3 : com.aepona.jain.protocol.ss7.oam.mtp3:type=OBJECT_TYPE_LINK_SET,id=4 : setDestinationPointCode : UNKNOWN ;
    4 : com.aepona.jain.protocol.ss7.oam.mtp3:type=OBJECT_TYPE_LINK_SET,id=6 : addLink : SUCCESS ;
    `

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems